package com.sqx.modules.course.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sqx.modules.course.entity.CourseDetails;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CourseDetailsDao extends BaseMapper<CourseDetails> {

    List<CourseDetails> findByCourseId(@Param("id") Long id,@Param("userId") Long userId);

    List<CourseDetails> selectCoursePageByCourseId(@Param("id") Long id,@Param("good") Integer good);

    List<CourseDetails> findByCourseIdNotUrl(@Param("id") Long id,@Param("userId") Long userId);

    int deleteCourseDetails(String[] ids);

    List<CourseDetails> selectCourseDetailsList(String randomNum,Integer wxShow,Integer dyShow);

}
